Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::Outlet_2_1_5::MetaData Struct Reference

Outlet metadata More...

`import"Outlet.idl";`

## Public Attributes
string | label
| Outlet label
string | receptacleType
| Receptacle type.
Nameplate_2_0_0 | namePlate
| Nameplate information
Rating_2_0_0 | rating
| Numerical usage ratings.
boolean | isSwitchable
| `true` if the outlet is switchable
boolean | isLatching
| `true` if the outlet is able to keep its state after power loss
int | maxRelayCycleCnt
| Maximum relay cycle count.

## Detailed Description

Outlet metadata

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Outlet.idl